Subject: bug#38088: closed (Re: bug#38088: Guix system becomes unresponsive after backtrace)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 07 Nov 2019 07:41:02 +0000

Your bug report

#38088: Guix system becomes unresponsive after backtrace

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38088: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38088
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38088: Guix system becomes unresponsive after backtrace
From: Gábor Boskovits <[email-masked]>
To: Giovanni Biscuolo <[email-masked]>
Cc: [email-masked]
Date: Thu, 7 Nov 2019 08:40:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

It seems this was a filesystem corruption. Everything seems fine after reboot,
so closing.

Giovanni Biscuolo <[email-masked]> ezt írta (időpont: 2019. nov. 7., Cs, 8:36):
>
> Hello Gabor,
>
> Gábor Boskovits <[email-masked]> writes:
>
> [...]
>
> >> From the screenshot, it seems that your root file system (or at least
> >> /tmp and /gnu/store) became read-only, which in turn caused various
> >> things to fail, including guix-daemon (hence the “broken pipe” when
> >> ‘guix build’ was talking to it, I suppose.)
> >
> > Yes, it also became corrupted. fsck on boot fixed it.
> > Since then it works happily again...
>
> if the problem depended on filesystem corruption and all is fine now for
> you, could you also close this bug please?
>
> [...]
>
> Thanks! Gio'
>
> --
> Giovanni Biscuolo
>
> Xelera IT Infrastructures

-- 
OpenPGP Key Fingerprint: 7988:3B9F:7D6A:4DBF:3719:0367:2506:A96C:CF63:0B21

Subject: Guix system becomes unresponsive after backtrace
From: Gábor Boskovits <[email-masked]>
To: [email-masked]
Date: Wed, 6 Nov 2019 15:15:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I did not know how to get the info better, so here is a screenshot
about the situation.

This happened when I was trying a pre-inst-env guix build from a
core-updates checkout.
Previously python3 failed to build, and I was trying to build it again.

Best regards,
g_bor
-- 
OpenPGP Key Fingerprint: 7988:3B9F:7D6A:4DBF:3719:0367:2506:A96C:CF63:0B21